Bug 478777 - Sea-Horse doesn't install decrypt menu option in Nautilus & Sea-Horse plugins depends on epiphany!!!
Sea-Horse doesn't install decrypt menu option in Nautilus & Sea-Horse plugins...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-04 18:34 EST by Gerard Fernandes
Modified: 2015-03-03 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 09:03:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerard Fernandes 2009-01-04 18:34:03 EST
Description of problem:
1. Sea-horse doesn't install the decrypt menu option in Nautilus anymore.
2. Installing Sea-horse plugins installs the "encrypt" menu option, but requires that Epiphany be installed as well!!!


Version-Release number of selected component (if applicable): latest updated Fedora 10.


How reproducible: Always


Steps to Reproduce:
1. Install sea-horse - observe that no nautilus menu options appear
2. Install sea-horse plugins - observe that epiphany is pulled in as a dependency!!!
3. Observe also that only the "encrypt" menu option is installed in Nautilus - it is not possible to decrypt an encrypted file by right-clicking on it anymore.
  
Actual results:


Expected results:
1. Sea-horse should install nautilus menu options as well
2. If nautilus integration must be separated into a "plugins" package, it shouldn't require the installation of epiphany.
3. It should be possible to encrypt/decrypt files by right clicking on them and selecting the appropriate Nautilus menu option.


Additional info:
Comment 1 Gerard Fernandes 2009-01-13 07:37:09 EST
The decrypt option appeared mysteriously after installing updates and Nautilus-Actions.

Epiphany is still sitting around though - pulled in by the install of Sea-Horse Plugins.
Comment 2 Matthias Clasen 2009-01-17 00:50:55 EST
seahorse-plugins requires epiphany for directory ownership reasons.
If rpm were less stupid about directory ownership, this would not be necessary.
Comment 3 Gerard Fernandes 2009-01-20 05:33:05 EST
I still don't understand. Can't this be handled via PolicyKit or Nautilus? Very odd that a Nautilus plug-in requires a Browser to be installed for permissioning.
Comment 4 Bug Zapper 2009-11-18 05:39:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Gerard Fernandes 2009-11-30 02:19:18 EST
Fixed in F-12. Can be closed. Thank you.
Comment 6 Bug Zapper 2010-04-27 08:40:25 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Gerard Fernandes 2010-06-08 01:42:17 EDT
Fixed in Fedora-13. May be closed.

Note You need to log in before you can comment on or make changes to this bug.